Bug 1296837 - (CVE-2015-8749) CVE-2015-8749 openstack-nova: Xen connection password leak in logs via StorageError
CVE-2015-8749 openstack-nova: Xen connection password leak in logs via Storag...
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 1296838 1296839
Blocks: 1296840
  Show dependency treegraph
Reported: 2016-01-08 03:55 EST by Martin Prpič
Modified: 2016-04-26 11:48 EDT (History)
37 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-19 22:00:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-08 03:55:23 EST
Title: Xen connection password leak in logs via StorageError

Reporter: Matt Riedemann (IBM)
Products: Nova
Affects: >= 2014.2 <= 2015.1.2, ==12.0.0


Matt Riedemann from IBM reported an information disclosure vulnerability
in Nova. If a StorageError occurs when attempting to connect a volume
using the Xen API, the connection parameters will be logged. These
parameters may include credentials that are not masked. An attacker
with read access to Nova logs could use these credentials with the
Xen API directly. Only Nova deployments using the Xen backend are
affected by this flaw.


Comment 2 Martin Prpič 2016-01-08 03:56:47 EST
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 1296839]
Comment 3 Summer Long 2016-01-19 19:05:14 EST

Red Hat Enterprise Linux OpenStack Platform does not support the Xen hypervisor, and is therefore not affected by this flaw in any supported configuration.

Note You need to log in before you can comment on or make changes to this bug.